Change log for soqt package in Ubuntu

125 of 25 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-02-12
Deleted in disco-proposed (Reason: moved to release)
soqt (1.6.0~ea5cd76+ds1-1ubuntu1) disco; urgency=medium

  * Update autopkgtests to use qmake instead of soqt-config.

 -- Dmitry Shachnev <email address hidden>  Tue, 12 Feb 2019 19:22:36 +0300
Superseded in disco-release on 2019-02-12
Deleted in disco-proposed on 2019-02-14 (Reason: moved to release)
soqt (1.6.0~ea5cd76+ds1-1) unstable; urgency=medium

  * Version from experimental to unstable. Transition of coin3.
  * Package built against Qt5. Closes: #875186

 -- Leopold Palomo-Avellaneda <email address hidden>  Wed, 19 Dec 2018 23:39:11 +0100
Superseded in disco-release on 2019-01-27
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-12-30
Deleted in bionic-proposed (Reason: moved to release)
soqt (1.6.0~e8310f-4) unstable; urgency=medium

  * Team upload.
  * [5b6250e] Apply cme fix dpkg
  * [35d7aca] Set Standards-Version: 4.1.3
  * [d6d6dac] Remove testsuite-field
  * [990bbc4] Remove old Conflicts/Replaces-fields
  * [eb50247] Set compat-level 10
  * [88f0cfa] Remove autotools_dev from d/rules
  * [1904f74] Remove myself from uploaders
  * [0dee212] Use salsa-VCS

 -- Anton Gladky <email address hidden>  Fri, 29 Dec 2017 17:50:48 +0100

Available diffs

Superseded in bionic-release on 2017-12-30
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
soqt (1.6.0~e8310f-3) unstable; urgency=medium

  * [1affbbe] Fix autopkgtest. Do not start X-application.
  * [8e4a9f1] Apply cme fix dpkg.

 -- Anton Gladky <email address hidden>  Thu, 26 May 2016 20:31:10 +0200
Superseded in yakkety-release on 2016-05-27
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
soqt (1.6.0~e8310f-2build1) wily; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <email address hidden>  Wed, 05 Aug 2015 15:05:48 +0200
Superseded in wily-release on 2015-08-17
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
soqt (1.6.0~e8310f-2) unstable; urgency=medium


  * [7f03626] Set canonical VCS-field.
  * [a91d64c] Fix license name in d/copyright.
  * [5824c2f] Set Standards-Version: 3.9.6. No changes.
  * [5345733] Add libsoqt4-dev.prerm to remove old alternatives.
              (Closes: #730091).
  * [7c87f55] Add autopkgtests.

 -- Anton Gladky <email address hidden>  Wed, 15 Oct 2014 21:12:12 +0200

Available diffs

Superseded in vivid-release on 2014-10-26
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-24
Deleted in trusty-proposed (Reason: moved to release)
soqt (1.6.0~e8310f-1) unstable; urgency=low


  * [7158525] Move maintainership into debian-science-team.
  * [8596233] Remove some obsolete files.
  * [1dd5f9a] Imported Upstream version 1.6.0~e8310f
  * [6b50de8] Update homepage.
  * [2efcc04] Use dh 9. Simplify debian/rules.
  * [adae349] Add TODO.
  * [8b79572] Add files from SoGui as a patch. Need for build.
  * [729840d] Set Standards-Version 3.9.4. No change.
  * [0f30b6a] Update copyright file (BSD-license), use DEP-5.
  * [67be221] Use wrap-and-sort.

 -- Anton Gladky <email address hidden>  Tue, 17 Sep 2013 21:13:53 +0200

Available diffs

Superseded in trusty-release on 2013-10-24
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
soqt (1.5.0-2.1) unstable; urgency=low


  * Non-maintainer upload.
  * Migrate from coin60 to coin80.
  * Update debian/watch (Bart Martens <email address hidden>).

 -- Anton Gladky <email address hidden>  Tue, 28 May 2013 22:17:52 +0200

Available diffs

Superseded in saucy-release on 2013-06-02
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-12-26
soqt (1.5.0-2) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  
  * rules: Empty dependency_libs from .la files.  Closes: #633323.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  26 Dec 2011 17:52:22 +0000

Available diffs

Superseded in precise-release on 2011-12-26
Obsolete in oneiric-release on 2015-04-24
soqt (1.5.0-1) unstable; urgency=low

  * New upstream.
  
  * control: Remove build-deps on libqt3-mt-dev, qt3-dev-tools.  
    Closes: #604382.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  30 Apr 2011 13:47:35 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
soqt (1.4.2~svn20090224-3) unstable; urgency=low

  * control: Remove Qt3 packages libsoqt3-20 & libsoqt3-dev.
  * rules: Do not build Qt3 packages (no longer compiles with Qt3 anyway).
    Closes: #593798.

  * control: Package libsoqt4-20 conflicts with libsoqt3-20 because moved
    libSoQt.so.20 there.  Add ${misc:Depends} to all 3 packages.  Update
    Standards-Version.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 10:00:47 +0000
Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
soqt (1.4.2~svn20090224-2) unstable; urgency=low

  * Upload upstream SVN head version containing fixes to build with Coin 3
    (Closes: #515729, #515736, #515742).  Upstream indicated to me that
    SVN is stable enough to release.
  
  * control: Update Standards-Version to 3.8.0; no changes required.

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
soqt (1.4.1-6) unstable; urgency=low

  * rules: Use quilt to manage patches.
  * control: Build-depend on quilt.
  
  * patches/qt4-fixes.patch: New.  Fixes startup and menus with Qt 4.4.
    Patch from upstream SVN, courtesy of Leopold Avellanda.  Closes:
    #498364.

 -- Emmet Hikory <email address hidden>   Sat,  25 Oct 2008 04:18:47 +0100

Available diffs

Superseded in intrepid-release on 2008-10-25
soqt (1.4.1-5) unstable; urgency=low

  * debian/control: Package libsoqt4-dev now depends on libqt4-opengl-dev.
    Closes: #487984.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  26 Jun 2008 16:44:20 +0100

Available diffs

Superseded in intrepid-release on 2008-06-26
soqt (1.4.1-4) unstable; urgency=low

  * debian/control: Build-depend on libqt4-opengl-dev since libQtOpenGL
    migrated there from libqt4-dev without warning.  Closes: #482202.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  27 May 2008 09:41:12 +0100
Superseded in intrepid-release on 2008-05-27
soqt (1.4.1-3) unstable; urgency=low

  * Build both Qt3 and Qt4 versions of SoQt.  Thanks to Leopold
    Palomo-Avellaneda for the original patch.  Closes: #415382.
    - Qt3 library is libSoQt3.so.20
    - Qt4 library is libSoQt4.so.20

  * debian/rules: Revert to debhelper-based rules.
  
  * debian/control: Rename package libsoqt20 to libsoqt3-20.  Conflicts,
    Replaces, and Provides libsoqt20 via symlink libSoQt.so.20.  New
    package libsoqt4-20.  Rename libsoqt-dev to libsoqt-dev-common
    containing manpages, includes.  New packages libsoqt3-dev and
    libsoqt4-dev that provide the link libraries and soqt-config files.
    Use alternatives to provide standard link library names libSoQt.so,
    and libSoQt.a.  Set Standards-Version to 3.7.3 (no changes).
  
  * debian/NEWS.Debian: New.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  02 May 2008 02:26:12 +0100
Superseded in intrepid-release on 2008-05-03
Obsolete in hardy-release on 2015-04-24
soqt (1.4.1-2) unstable; urgency=low

  * Adjust dependencies of source and -dev packages: depend on
    libcoin40-dev rather than all the X11 and GL packages. Closes:
    #443256.
  
  * debian/rules: rewrite using cdbs.

 -- Luca Falavigna <email address hidden>   Mon,  29 Oct 2007 02:28:56 +0000
Superseded in hardy-release on 2007-10-29
Obsolete in gutsy-release on 2011-09-16
soqt (1.4.1-1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Build-depends on libgl1-mesa-dev | libgl-dev
    - libsoqt-dev depends on libgl1-mesa-dev | libgl-dev
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

Superseded in gutsy-release on 2007-05-09
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
soqt (1.3.0-3ubuntu1) edgy; urgency=low

  * Merge from debian unstable.

Superseded in edgy-release on 2006-08-10
Obsolete in dapper-release on 2011-09-06
soqt (1.3.0-2ubuntu2) dapper; urgency=low

  [ Lukas Fittl ]
  * debian/control: Also do the mesa transition for the -dev package

  [ Stefan Potyra ]
  * Really transition the -dev package to libgl1-mesa-dev | libgl-dev
  * Remove no longer needed xlibmesa-gl-dev from build-depends.
Superseded in dapper-release on 2006-02-09
Superseded in dapper-release on 2006-02-03
soqt (1.3.0-2ubuntu1) dapper; urgency=low


  * Resynchronise with Debian:
    - debian/control: Add GL build dependency alternates so that soqt
      can compile in both Debian Sid and Ubuntu Dapper:
      libgl1-mesa-dev|libgl-dev

 -- Daniel T Chen <email address hidden>  Thu, 19 Jan 2006 21:39:02 +0000
Superseded in dapper-release on 2006-01-31
soqt (1.3.0-1ubuntu1) dapper; urgency=low


  * Resynchronise with Debian:
    - debian/control: Adjust Build-Depends to align with Ubuntu's X.Org
      packaging.

 -- Daniel T Chen <email address hidden>  Thu, 22 Dec 2005 18:36:13 -0800
Superseded in dapper-release on 2006-01-31
Obsolete in breezy-release on 2008-03-25
soqt (1.2.0-2ubuntu1) breezy; urgency=low


  * CXX transition: renamed libsoqt20c102 to libsoqt20
  * Added Conflicts/Replaces (libsoqt20c102)

 -- Daniel Neuenschwander <email address hidden>  Wed, 22 Jun 2005 09:42:37 +0200
Obsolete in hoary-release on 2008-03-19
soqt (1.2.0-2) unstable; urgency=low


  * configure: Don't quote "$LD", it breaks the build.  
  Closes: #269669, 274275.

 -- Steve M. Robbins <email address hidden>  Mon, 11 Oct 2004 22:00:26 -0400
Obsolete in warty-release on 2008-01-09
soqt (1.0.2-3) unstable; urgency=low


  * Build against coin-2, rather than coin-1.  Closes: #241102.

 -- Steve M. Robbins <email address hidden>  Sat, 29 May 2004 02:58:50 -0400
125 of 25 results